org.apache.hc.client5.http.async.methods

## Class SimpleRequestProducer

- java.lang.Object
- - org.apache.hc.core5.http.nio.support.BasicRequestProducer
  - - org.apache.hc.client5.http.async.methods.SimpleRequestProducer

All Implemented Interfaces:
  AsyncDataProducer, AsyncRequestProducer, ResourceHolder

    public final class SimpleRequestProducer
    extends BasicRequestProducer

HTTP request producer that generates message data stream events based on content of a `SimpleHttpRequest` instance.

IMPORTANT: `SimpleHttpRequest`s are intended for simple scenarios where entities inclosed in requests are known to be small. It is generally recommended to use `AsyncRequestBuilder` and streaming `AsyncEntityProducer`s.

Since:
  5.0
See Also:
  `SimpleBody`, `SimpleHttpRequest`, `AsyncRequestBuilder`, `AsyncEntityProducer`

### Method Summary

All Methods Static Methods Concrete Methods
`static SimpleRequestProducer` `create(SimpleHttpRequest request)`

### Methods inherited from class org.apache.hc.core5.http.nio.support.BasicRequestProducer

`available, failed, isRepeatable, produce, releaseResources, sendRequest`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### create

    public static SimpleRequestProducer create(SimpleHttpRequest request)